Skip to content

Create a new team

Request

Creates a new team with the specified attributes, owners, and members

Bodyapplication/json
teamobjectrequired
POST
/rest/v2/teams
curl -i -X POST \
  https://api.rhythms.ai/rest/v2/teams \
  -H 'Content-Type: application/json' \
  -d '{
    "team": {
      "display_name": "string",
      "icon": "string",
      "color": "gray",
      "description": null,
      "parent_uuid": null,
      "owner_uuids": [],
      "member_uuids": []
    }
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

parent_uuidstring

Parent uuid

Default:null
display_namestringrequired

Display name

is_orgbooleanrequired

Is org

Default:false
descriptionstring

Description

Default:null
pathstring

Path

Default:null
statusstringrequired

Status

Default:"active"
depthnumber

Depth

Default:0
viva_goals_team_idstring

Viva goals team

Default:null
iconstring

Icon

Default:null
colorstring

Color

Default:null
Response
{
  "uuid": "string",
  "parent_uuid": null,
  "display_name": "string",
  "is_org": false,
  "description": null,
  "path": null,
  "status": "active",
  "depth": 0,
  "viva_goals_team_id": null,
  "icon": null,
  "color": null
}